
Figure - Bug #116503
测试 Test-IT # 110961 (New): V2.0功能测试

测试 Test-IT # 111056 (New): AF-V2.0-Launcher/SystemUI----Setting

【AF】【EVT3】【设置】设置中部分选项已被移除，但在搜索设置中仍然能搜索到
2023-02-23 17:43 - CD Test赵飞

Status: CLOSED Start date: 2023-02-23

Priority: Normal Due date: 2023-02-28

Assignee: CD Test赵飞 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202302220011

Resolution: FIXED Degrated: No

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version: 2023-02-28

Test Type: ST Root cause: Settings 功能裁剪处理不完善导致。

Description

【前提条件】

1、设备正常启动

【测试步骤】

1、进入设置

2、点击“搜索设置”框

3、输入以下关键字并搜索：

备份、允许旋转主屏幕、通话记录、凭据存储

【预期结果】

3、搜索不到相关选项

【实际结果】

3、可以搜索到相关选项，实际上这些选项已被移除

【日志】

录屏见附件

History

#1 - 2023-02-24 18:48 - CD FW-廖涛

- % Done changed from 0 to 30

#2 - 2023-02-28 10:45 - CD FW-廖涛

- Due date set to 2023-02-28

#3 - 2023-02-28 18:58 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

184732 general/platform/packages/apps/Settin

gsIntelligence

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:Settings: Add provider filter for settings search.TC-RID: 1201-0201813IssueID: TS-R-BUG-116503Change-Id: If543f4543e88669284d237fdba117f5a74af8ade
#4 - 2023-02-28 18:58 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

184663 general/platform/packages/apps/Settin

gs

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:Settings: Disable SearchIndexable for settings search.TC-RID: 1201-0201813IssueID: TS-R-BUG-116503Change-Id:

Ie8f24b6190449e3f460bcaaa7ecb2620b85d175f

#5 - 2023-02-28 19:00 - CD FW-廖涛

- Status changed from New to RESOLVED

- Assignee changed from CD FW-廖涛 to CD Test赵飞

- % Done changed from 30 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-02-28

- Root cause set to Settings 功能裁剪处理不完善导致。

■ Current conclusion

已处理，代码已入库。

■ My analysis

Settings 功能裁剪处理不完善导致。

■ Next action

测试验证。

#6 - 2023-03-01 10:44 - CD Test赵飞

- Status changed from RESOLVED to VERIFIED

验证版本：FlatBuild_HH_MCE_FSE.M.D.user.01.00.C101.202303010015

验证结果：PASS

Bug中提及的需要移除的设置项在搜索中已无法搜索到，关闭此问题

#7 - 2023-03-01 10:45 - CD Test赵飞

- Status changed from VERIFIED to CLOSED

Files

screen-20230223-173611.mp4 7.52 MB 2023-02-23 CD Test赵飞
